%global git_branch chameleoncloud-ocata

Name:           openstack-blazar-nova
Epoch:          1
Summary:        OpenStack Reservation (blazar)
Version:        0.3.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            http://www.openstack.org
Source0:        https://github.com/ChameleonCloud/blazar-nova/archive/chameleoncloud/ocata/%{name}-%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    python2-devel
BuildRequires:    python-pbr
BuildRequires:    python-setuptools

Requires:         openstack-nova-scheduler
Requires:         python-oslo-config
Requires:         python-oslo-i18n
Requires:         python-oslo-log
Requires:         python-six

%prep
%setup -q -n blazar-nova-%{git_branch}
rm requirements.txt test-requirements.txt

%build
PBR_VERSION=%{version} %{__python2} setup.py build

%install
PBR_VERSION=%{version} %{__python2} setup.py install --skip-build --root=%{buildroot}

%description
OpenStack Reservation-as-a-Service (codename Blazar) is open source software
aiming to allow the reservation of both virtual and physical resources in a
calendar based on various reservation criteria.

This package contains Blazar-specific changes to Nova. It includes filters for
the host reservationa and instance reservation features.

%files
%doc LICENSE
%doc README.rst
%{python_sitelib}/blazarnova
%{python_sitelib}/blazar_nova-%{version}-*.egg-info

%changelog
* Wed Aug 23 2017 Pierre Riteau <priteau@uchicago.edu> 1:0.3.0-1
- Initial packaging for Ocata
